//
//  AppDelegate.m
//  GeoCalculatorApp
//
//  Created by Holger Hinzberg on 09.02.12.
//  Copyright (c) 2012 Cocoa-Coding. All rights reserved.
//

#import "GeoCalculatorAppDelegate.h"

@implementation GeoCalculatorAppDelegate
@synthesize widthTextField = _widthTextField;
@synthesize lengthTextField = _lengthTextField;
@synthesize heightTextField = _heightTextField;
@synthesize areaTextField = _areaTextField;
@synthesize volumeTextField = _volumeTextField;

@synthesize window = _window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    // Eine Instanz von GeometryCalculator erzeugen
    calculator = [[GeometryCalculator alloc] init];
}

- (IBAction)clearTextFieldsClicked:(id)sender
{
    // Alle Textfelder leeren
    _lengthTextField.stringValue = @"";
    _widthTextField.stringValue = @"";
    _heightTextField.stringValue = @"";
    _areaTextField.stringValue = @"";
    _volumeTextField.stringValue = @"";
    
    // Beispiel einer Zuweisung
    // als Senden einer Nachricht
    [self.lengthTextField setStringValue:@""];
}

- (IBAction)calculateClicked:(id)sender
{
    /*
    // Werte aus den Steuerelementen in Variablen holen
    double height = _heightTextField.doubleValue;
    double width = _widthTextField.doubleValue;
    double length = _lengthTextField.doubleValue;
    
    // Werte für den Calculator setzen
    calculator.height = height;
    calculator.width = width;
    calculator.length = length;
    
    // Die Methoden für die Berechnungen ausführen
    double area = [calculator calculateRectangleArea];
    double volume = [calculator calculateCuboidVolume];
    
    // Die Ergebnisse an den View senden
    _areaTextField.doubleValue = area;
    _volumeTextField.doubleValue = volume;
    */
    

    // Werte vom View in den Calculator holen
    calculator.height = _heightTextField.doubleValue;
    calculator.width = _widthTextField.doubleValue;
    calculator.length = _lengthTextField.doubleValue;
    
    // Ergebnisse berechnen und anzeigen
    _areaTextField.doubleValue =
     [calculator calculateRectangleArea];
    _volumeTextField.doubleValue =
     [calculator calculateCuboidVolume];
    
}
@end
